> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# form

> Get all forms with folder hierarchy. Set ExtraInfo "onlyActive=true" if you only want to get active forms and "onlyNewTicket=true" if only forms that create tickets. Set extrainfo "onlyForms=true" if you do not want form templates.

## "form" MDO List

Get all forms with folder hierarchy.
Set ExtraInfo "onlyActive=true" if you only want to get active forms and "onlyNewTicket=true" if only forms that create tickets.
Set extrainfo "onlyForms=true" if you do not want form templates.

Implemented by the <see cref="T:SuperOffice.CRM.Lists.FormProvider">FormProvider</see> class.
The name of the MDO list is 'form'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/form
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("form", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name    | StyleHint | ExtraInfo |
| -- | ------- | --------- | --------- |
| 2  | Example |           |           |

## Related MDO Lists

* "formheadings"
* "formheadingswithallitem"
* "formheadingswithallitemwithnoselection"
* "formheadingswithnoselection"
* "formwithallitem"
* "formwithallitemwithnoselection"
* "formwithnoselection"


## Related topics

- [Forms](/en/api/archive-providers/reference/forms.md)
- [Work with forms](/en/marketing/forms/learn/index.md)
- [Publish forms](/en/marketing/forms/learn/publish.md)
- [form table](/en/database/tables/form.md)
- [FormsAndFolders](/en/api/archive-providers/reference/formsandfolders.md)
